Subject: [ippm] Some questions

From: 董雯霞 <[email-masked]>
Date: Wed, 24 Sep 2008 17:13:23 +0800

Hi everyone

I have two questions, as flows:
(1)  On page 7 in rfc2680,why is Type-P-One-way-Packet-Loss 0 if the test packet does not arrive, or if it does arrive and the difference between Src timestamp and Dst timestamp is greater than the "reasonable period of time", or loss threshold. or Is it a writing mistake? Thanks a lot!

(2) Could you tell me the difference between path performance and network performance? For rfc2680、rfc2681 and so on, are those metrics path performance? When we measure the path performance, could we designate specifically router for test packets? Thanks a lot!

Thanks a lot!

Best Wishes!

Wenxia Dong

_______________________________________________
ippm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ippm

---

From: Henk Uijterwaal <[email-masked]>
Date: Wed, 24 Sep 2008 11:30:21 +0200

Hi,

> I have two questions, as flows: (1)  On page 7 in rfc2680,why is
> Type-P-One-way-Packet-Loss 0 if the test packet does not arrive, or if it
> does arrive and the difference between Src timestamp and Dst timestamp is
> greater than the "reasonable period of time", or loss threshold. or Is it a
> writing mistake? Thanks a lot!

This looks like a typo to me.

> (2) Could you tell me the difference between path performance and network
> performance? For rfc2680、rfc2681 and so on, are those metrics path
> performance? When we measure the path performance, could we designate
> specifically router for test packets? Thanks a lot!

Path performance refers to a specific path between src and dst.  Network
performance to all possible paths between src and dst, regardless which
path the packet took.  When measuring, yes, you can designate a specific
device to send test packets.

Henk

-- 
------------------------------------------------------------------------------
Henk Uijterwaal                           Email: henk.uijterwaal(at)ripe.net
RIPE Network Coordination Centre          http://www.amsterdamned.org/~henk
P.O.Box 10096          Singel 258         Phone: +31.20.5354414
1001 EB Amsterdam      1016 AB Amsterdam  Fax: +31.20.5354445
The Netherlands        The Netherlands    Mobile: +31.6.55861746
------------------------------------------------------------------------------

Ceterum censeo Asplain esse delendam  (Cato & Henk)
_______________________________________________
ippm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ippm

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Wed, 24 Sep 2008 08:18:54 -0400

On Wed, Sep 24, 2008 at 11:30:21AM +0200,
 Henk Uijterwaal <[email-masked]> wrote 
 a message of 9 lines which said:

>> I have two questions, as flows: (1)  On page 7 in rfc2680,why is>
>> Type-P-One-way-Packet-Loss 0 if the test packet does not arrive, 

> This looks like a typo to me.

Wenxia Dong, you should report it to the RFC editor:

http://www.rfc-editor.org/errata.php
_______________________________________________
ippm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ippm

---

From: Al Morton <[email-masked]>
Date: Wed, 24 Sep 2008 09:22:05 -0400

There's no typo here, the actual text is

>...
>    The first two sources are interrelated and could result in a test
>    packet with finite delay being reported as lost.  Type-P-One-way-
>    Packet-Loss is 0 if the test packet does not arrive, or if it does
>    arrive and the difference between Src timestamp and Dst timestamp is
>    greater than the "reasonable period of time", or loss threshold.

So if the question is about the waiting time, or loss threshold...
At 05:13 AM 9/24/2008, è‘£é›¯éœž wrote:
>...
>(1)  On page 7 in rfc2680,why is 
>Type-P-One-way-Packet-Loss 0 if the test packet 
>does not arrive, or if it does arrive and the 
>difference between Src timestamp and Dst 
>timestamp is greater than the "reasonable period 
>of time", or loss threshold. or Is it a writing mistake? Thanks a lot!

There a practical matter that measurement systems cannot wait
forever for test packets to arrive.  If a packet arrives beyond
the waiting time threshold, it is still defined as lost.
It is important to set this threshold carefully, and to report
the value of the threshold with the results.  Section 2.6
explains this in more detail (page 6).

Al

---

From: Henk Uijterwaal <[email-masked]>
Date: Wed, 24 Sep 2008 15:32:58 +0200

Al,

>>    greater than the "reasonable period of time", or loss threshold.

"Type-P-One-way-packet loss is 0 if the packet does not arrive" is not
what section 2.4 says:

  2.4. Definitions
    >>The *Type-P-One-way-Packet-Loss* from Src to Dst at T is 0<< means
    that Src sent the first bit of a Type-P packet to Dst at wire-time* T
    and that Dst received that packet.

The paragraph above should say 1, right?

Henk

---

From: Al Morton <[email-masked]>
Date: Wed, 24 Sep 2008 10:27:46 -0400

Yes, the 0 should be a 1. Thanks for making the
needed correction clear.

I thought the "typo" was referring to a missing "is"
in the quoted text of the original message:

>(1)  On page 7 in rfc2680,why is Type-P-One-way-Packet-Loss 0 if the 
>test packet does not arrive, or if it does arrive and the difference 
>between Src timestamp and Dst timestamp is greater than the 
>"reasonable period of time", or loss threshold. or Is it a writing mistake?

---

From: 董雯霞 <[email-masked]>
Date: Thu, 25 Sep 2008 09:59:55 +0800

I think Type-P-One-way-Packet-Loss is 1 if the test packet does not arrive, or if a packet arrives beyond the waiting time threshold.
According to section 2.4 in RFC2680, the difinition tells us Type-P-One -way-Packet-Loss is 1 when Src sent the first bit of a type-P packet to Dst at wire-time T
and that Dst did not receive that packet.

Thank you a lot.

Best wishes.

Wenxia  Dong

----- Original Message ----- 
From: "Al Morton" <[email-masked]>
To: "Stephane Bortzmeyer" <[email-masked]>; "Henk Uijterwaal" <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, September 24, 2008 9:22 PM
Subject: Re: [ippm] Some questions

Al

---

From: Henk Uijterwaal <[email-masked]>
Date: Thu, 25 Sep 2008 09:52:38 +0200

Wenxia wrote:

> When measuring, how do we designate a specific device to test packet?
> Configure static routing? But for real large network, static routing is not
> useful.

One usually attaches the measurement device to a router on both ends. The 
devices send packets to eachother and let the routers route them.  With a
tool like traceroute, one can determine the path that the packet took (or
most likely took).

> What  metrics for network performance? Including Loss, Delay, Dely Variation
> ,etc?

I'd say all of them, with the focus depending on the application.

> Commonly, can we estimate the network performance from many paths
> performance?

In what sense?  If it is the delay or loss, or whatever, between two
points (say, my machine and www.xyz.nl), then I can simply measure that
and ignore any path changes.  If it is between me and the rest of the
internet, then the composition is much more complex.

Henk

---

From: Al Morton <[email-masked]>
Date: Thu, 25 Sep 2008 08:38:32 -0400

>internet, then the composition is much more complex.

Is this question seeking what we have called Spatial Aggregation?
>    ...defined as the combination of metrics of the
>    same type and different scope, in order to estimate the overall
>    performance of a larger domain.  This combination may involve
>    weighing the contributions of the input metrics.
from 
http://tools.ietf.org/html/draft-ietf-ippm-framework-compagg-06#section-4.2

Al